<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Profiler Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#e58e29b4abda1e9333bb56cea58ef737">beginProfile</a>(const String &amp;profileName)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#27ba2410694ba3fd67ba6570d6aea52a">changeEnableState</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#871bb407f241675993146290a55e9359">createContainer</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#2c40711f65377196f2757c2c5756ce67">createPanel</a>(const String &amp;name, Real width, Real height, Real top, Real left, const String &amp;materialName, bool show=true)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#0c7ccd5c4f51a7134e4eb264e39b433b">createTextArea</a>(const String &amp;name, Real width, Real height, Real top, Real left, uint fontSize, const String &amp;caption, bool show=true)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#6d6694b6a2854055c1ca40efede9ce62">DisabledProfileMap</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#144fc3944f41b1198a44590beda4ce3f">disableProfile</a>(const String &amp;profileName)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#7eec1b1e20d542a5ecf30e68efcbd5ae">displayResults</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#52e2f0d3530febbbf7199173d91ad4e2">enableProfile</a>(const String &amp;profileName)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#566da4faffe1302c754596b980114e24">endProfile</a>(const String &amp;profileName)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#ca476edd8f31cd3f456899f4d94b4d50">getEnabled</a>() const </td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#aa925dad8392fe140d017a5766f3cd49">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#01ec79ba4ba7a539bfd742e120c1ff21">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#135db4d26db8d359fb77d20189379bd7">getTimer</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#bf15da1111321dc8604e53b606664815">getUpdateDisplayFrequency</a>() const </td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#51c3aa09f7f5facae1a90868959723e0">initialize</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#456a0f133ccea3eb515626edd22963ec">logResults</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#5b03134dbe6bb7a52f2edc1d5b66fe4c">maxProfiles</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#093f84942dc4ceb8e959588dbcd2cde0">mBarHeight</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#d777b9d07a5f12464f1fa7c6ed7a21c1">mBarIndent</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#c914f52e30c8f425a50b1da30c3105a1">mBarLineWidth</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#342bdc46fd887e5c5a45806dfdd6be0b">mCurrentFrame</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#3d8be007a0ed8266c06bd27968b7974e">mDisabledProfiles</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#087887f554607555dbfc34111583bd41">mEnabled</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#dca0878a49bfc3a42f5a3329685b60d2">mEnableStateChangePending</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#9394507398be0a65c25bc90863eaf6c4">mGuiBorderWidth</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#01964e2873acf707b46ce955d4eaa481">mGuiHeight</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#7aa7a6e1aefb5d3fda203ab2bbf2345b">mGuiWidth</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#8426a136e3fd6574b4b3afeca58fd5d9">mInitialized</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#1803e714976005d298d2742fec3e1a09">mNewEnableState</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#f0b84f8988fb21a9b1edb737687e1d55">mOverlay</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#b3865827e7b3ac4ad3b9b3e1fdda9d77">mProfileBars</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#b6e938d9f36e20068d7f96073112fb77">mProfileFrame</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#787571c7aff51fec80a5602a2e868a78">mProfileGui</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#28700bb39bbc70ec4ecac22050d13f2c">mProfileHistory</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#ba7e5d0b1b2f41e1c63563d9d49eddba">mProfileHistoryMap</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#7342bed28d571f2657b1a3f04ebd59e0">mProfiles</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#38b67a7679f11d7ececbeedc4f354a1f">mTimer</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#044204c438fc5eec7806b586129cf70e">mTotalFrameTime</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#634f43e704803cbc4c4974d5363d3441">mUpdateDisplayFrequency</a></td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#5f3f0dff8d6cee3f9aed3fb44354ffec">processFrameStats</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#39b26412d70c6f1f11114cfcd1d0fce0">ProfileBarList</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#c7a8f9ffdfa751a0ff76cf8539cc86f5">ProfileFrameList</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#aea38d758840964314040fca06d6d5b8">ProfileHistoryList</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#f7b1ce44de5ccb78707fd4817879ea44">ProfileHistoryMap</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#a35c96681ded2faf493defa432ce6a04">Profiler</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#abc874a9dc62ed84fb0315fd10f3ca4c">ProfileStack</a> typedef</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#df2570f07addb553a852a003c97fdc12">reset</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#91c40e21a3fc96003504ea21fec80d77">setEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#53a2d2681a3995555df6d789c5596381">setTimer</a>(Timer *t)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#c29d425e0f0b531f2c7f643907c9402d">setUpdateDisplayFrequency</a>(uint freq)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#dfd868a7f9213baece5687bd36e23279">watchForLimit</a>(const String &amp;profileName, Real limit, bool greaterThan=true)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#fc737d10ba6b5732df9a538a196ee3e6">watchForMax</a>(const String &amp;profileName)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#d37efd3a99cf736a0424fd0c1c92efb4">watchForMin</a>(const String &amp;profileName)</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Profiler.html#45e1f8ac11468a9322148be4e22e85de">~Profiler</a>()</td><td><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:53 2008
</p>
</body>
</html>
